_Elm_Layout_Smart_Data Struct Reference

Data Fields
_Elm_Layout_Smart_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data extended with layout instance data. More...

## Data Fields
Evas_Object * | obj
| The object itself.
Eina_List * | subs
| List of Elm_Layout_Sub_Object_Data structs, to hold the actual sub objects such as text, content and the children of box and table. More...
Eina_List * | edje_signals
| The list of edje signal callbacks. More...
Eina_List * | parts_cursors
| The list of cursor names of layout parts. More...
const char * | klass
| 1st identifier of an edje object group which is used in theme_set. More...
const char * | group
| 2nd identifier of an edje object group which is used in theme_set. More...
int | frozen
| Layout freeze counter.
Eina_Bool | needs_size_calc: 1
| This flas is set true when the layout sizing eval is already requested. More...
Eina_Bool | restricted_calc_w: 1
| This is a flag to support edje restricted_calc in w axis. More...
Eina_Bool | restricted_calc_h: 1
| This is a flag to support edje restricted_calc in y axis. More...
Eina_Bool | can_access: 1
| This is true when all text(including textblock) parts can be accessible by accessibility. More...
Eina_Bool | destructed_is: 1
| This flag indicates if Elm_Layout destructor was called. More...
Eina_Bool | file_set: 1
| This flag indicates if Elm_Layout source is set from a file.

## Detailed Description

Base widget smart data extended with layout instance data.

## Field Documentation

## ◆ can_access

Eina_Bool _Elm_Layout_Smart_Data::can_access

This is true when all text(including textblock) parts can be accessible by accessibility.

Referenced by elm_layout_content_swallow_list_get().

## ◆ destructed_is

Eina_Bool _Elm_Layout_Smart_Data::destructed_is

This flag indicates if Elm_Layout destructor was called.

This is needed to avoid unnecessary calculation of subobject deletion during layout object's deletion.

## ◆ edje_signals

Eina_List* _Elm_Layout_Smart_Data::edje_signals

The list of edje signal callbacks.

## ◆ group

const char* _Elm_Layout_Smart_Data::group

2nd identifier of an edje object group which is used in theme_set.

klass and group are used together.

## ◆ klass

const char* _Elm_Layout_Smart_Data::klass

1st identifier of an edje object group which is used in theme_set.

klass and group are used together.

## ◆ needs_size_calc

Eina_Bool _Elm_Layout_Smart_Data::needs_size_calc

This flas is set true when the layout sizing eval is already requested.

This defers sizing evaluation until smart calculation to avoid unnecessary calculation.

Referenced by elm_layout_content_swallow_list_get().

## ◆ parts_cursors

Eina_List* _Elm_Layout_Smart_Data::parts_cursors

The list of cursor names of layout parts.

This is a list of Elm_Layout_Sub_Object_Cursor struct.

Referenced by elm_layout_content_swallow_list_get().

## ◆ restricted_calc_h

Eina_Bool _Elm_Layout_Smart_Data::restricted_calc_h

This is a flag to support edje restricted_calc in y axis.

Referenced by elm_layout_content_swallow_list_get().

## ◆ restricted_calc_w

Eina_Bool _Elm_Layout_Smart_Data::restricted_calc_w

This is a flag to support edje restricted_calc in w axis.

Referenced by elm_layout_content_swallow_list_get().

## ◆ subs

Eina_List* _Elm_Layout_Smart_Data::subs

List of Elm_Layout_Sub_Object_Data structs, to hold the actual sub objects such as text, content and the children of box and table.

Referenced by elm_layout_content_get(), elm_layout_content_set(), elm_layout_content_swallow_list_get(), and elm_layout_content_unset().